/**
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program. If not, see
    <http://www.gnu.org/licenses/>.
*/

#ifndef EDGEENUMS_HH
#define EDGEENUMS_HH

// This state holds if the edge is some kind of
// shortest edge
enum EdgeState
{
    // Edge is not defined yet.
    EDGE_STATE_NONE,
    
    // Edge is a normal edge.
    EDGE_STATE_NORMAL,

    // Edge is shortest edge to get to this node.
    EDGE_STATE_SHORTEST
};
    
#endif // EDGEENUMS_HH
